Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025996
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. PlatformminorN/A2014-03-14 11:512014-05-23 07:24
ReporteralostaleView Statuspublic 
Assigned ToAugustoMauch 
PrioritynormalResolutionfixedFixed in Version3.0PR14Q3
StatusclosedFix in branchFixed in SCM revision806565f3c7b1
ProjectionnoneETAnoneTarget Version3.0PR14Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025996: HQL based tables

DescriptionSupport for datasources based on HQL queries. These datasources will be usable from standard windows (read only) and P&E.

More information: http://wiki.openbravo.com/wiki/Projects:HQL_Based_Datasources#Introduction [^]
Steps To Reproduce-
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0026682 closedalostale FK filter in selector popup is not working 
related to defect 0028119 closedAugustoMauch potential NPE in DataSourceServiceProvider 
related to defect 00284323.0PR15Q1 closedAugustoMauch can't filter product FK drop down in return windows P&E 
related to defect 0029667 closedcaristu NPE Error raised when a tab is child of another tab that as table has an HQL Query table 
related to defect 0029665 closedcaristu NPE Error raised when using HQL Based Tables on a tab (level 2) inside a standard window (not P&E) 

-  Notes
(0067389)
hgbot (developer)
2014-05-22 20:36

Repository: erp/devel/pi
Changeset: 806565f3c7b1dad42636fbef404be8666372f719
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Thu May 22 20:14:01 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/806565f3c7b1dad42636fbef404be8666372f719 [^]

Fixes issue 25996, 26669: Merge of pw3 and hqltables branch in pi

This changeset merges the HQLTables [1] and the Paramter Window Phase 3 [2] project with pi.

[1] http://wiki.openbravo.com/wiki/Projects:HQL_Based_Datasources [^]
[2] http://wiki.openbravo.com/wiki/Projects:Parameter_Windows_Phase_3 [^]

---
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/HQLDataSourceService.java
---
(0067391)
alostale (developer)
2014-05-23 07:18

code reviewed + tested
(0067398)
hudsonbot (developer)
2014-05-23 07:24

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/d0b934adf82b [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-03-14 11:51 alostale New Issue
2014-03-14 11:51 alostale Assigned To => AugustoMauch
2014-03-14 11:51 alostale Modules => Core
2014-03-14 11:51 alostale Triggers an Emergency Pack => No
2014-03-14 11:52 alostale Tag Attached: Performance
2014-03-14 12:06 alostale Description Updated View Revisions
2014-03-14 12:07 alostale Summary HQL based datasources => HQL based tables
2014-05-22 20:36 hgbot Checkin
2014-05-22 20:36 hgbot Note Added: 0067389
2014-05-22 20:36 hgbot Status new => resolved
2014-05-22 20:36 hgbot Resolution open => fixed
2014-05-22 20:36 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/806565f3c7b1dad42636fbef404be8666372f719 [^]
2014-05-23 07:18 alostale Review Assigned To => alostale
2014-05-23 07:18 alostale Note Added: 0067391
2014-05-23 07:18 alostale Status resolved => closed
2014-05-23 07:18 alostale Fixed in Version => PR14Q3
2014-05-23 07:24 hudsonbot Checkin
2014-05-23 07:24 hudsonbot Note Added: 0067398
2014-05-23 15:30 alostale Relationship added related to 0026682
2014-11-07 09:55 alostale Relationship added related to 0028119
2014-12-18 10:57 alostale Relationship added related to 0028432
2015-04-24 08:42 alostale Relationship added related to 0029667
2015-04-24 08:42 alostale Relationship added related to 0029665


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker